#include <gdk/gdk.h>
#include <stdio.h>

#define BOLDGREEN   "\033[1m\033[32m"      /* Bold Green */
#define RESET   "\033[0m"

gchar	*homedir,
		*gtkrc,
		*rc_file;

char *getenv();

int main(int argc, char *argv[])
{
		
	if (argc == 1)
	{
printf("\
\n\
"BOLDGREEN "Version 1.1 "RESET"\n\
Usage:\n\
pGtkthemerefresh /path/to/your/gtkrc_theme/gtkrc\n\
example:\n\
pGtkthemerefresh /usr/share/themes/Default/gtk-2.0/gtkrc\n\
\n\
WARNING! Be sure the file is a valid gtkrc\n\
Passing no command line arguments will print this message\n\n");
	}
	else
	{
	gchar *rc_file = argv[1];
	FILE *fp = fopen(rc_file,"r");	
		if(fp == NULL)
			{
	printf("\
\n\
"BOLDGREEN "Version 1.1 "RESET"\n\
WARNING! gtkrc file does not exist\n\
\n\
Usage:\n\
pGtkthemerefresh /path/to/your/gtkrc_theme/gtkrc\n\
example:\n\
pGtkthemerefresh /usr/share/themes/Default/gtk-2.0/gtkrc\n\n");
			}
			else
			{
	gchar *rc_file = argv[1];
	homedir = getenv("HOME");
	gchar *path_to_gtkrc = g_strdup_printf("%s/.gtkrc-2.0", homedir);
	FILE *gtkrc = fopen(path_to_gtkrc, "w");
	
	fprintf(gtkrc, "# -- THEME AUTO-WRITTEN BY pGtkthemerefresh DO NOT EDIT\ninclude \"%s\"\n\n", rc_file);
	fprintf(gtkrc, "include \"%s/.gtkrc-2.0.mine\"\n\n# -- THEME AUTO-WRITTEN BY pGtkthemerefresh DO NOT EDIT\n", homedir);
	fclose (gtkrc);
	
	gdk_init(&argc,&argv);
	GdkEventClient event;
    	event.type = GDK_CLIENT_EVENT;
	event.send_event = TRUE;
	event.window = NULL;
	event.message_type = gdk_atom_intern("_GTK_READ_RCFILES", FALSE);
	event.data_format = 8;
	gdk_event_send_clientmessage_toall((GdkEvent *)&event);
			}
	}
}
